<?php
session_start();
  require("config.php");
  // o usuĂĄrio estĂĄ logado?
  if(!isset($_SESSION["id_usuario_logado"])){
    header("Location: login.php");
    exit;
  }

// tem permissão para alterar?
if(!Permissao::podeAlterar($_SESSION["nivel_acesso"])){
  header("Location: erro_permissao.php");
  exit;  
}
// fim permissão para alterar

$id_usuario_logado = $_SESSION["id_usuario_logado"];
$id_conta_pagar_receber = tratar_entrada(utf8_decode(trim($_POST["id_conta_pagar_receber"])));
$id_cliente_fornecedor = tratar_entrada(utf8_decode(trim($_POST["id_cliente_fornecedor"])));
$tipo = tratar_entrada(utf8_decode(trim($_POST["tipo"])));
$plano = tratar_entrada(utf8_decode(trim($_POST["plano"])));
$descricao = tratar_entrada(utf8_decode(trim($_POST["descricao"])));
$vencimento = tratar_entrada(utf8_decode(trim($_POST["vencimento"])));

$valor = tratar_entrada(utf8_decode(trim($_POST["valor"])));
$valor = str_replace(".", "", $valor);
$valor = str_replace(",", ".", $valor);
  

   $result = mysqli_query($conexao, "UPDATE contas_pagar_receber SET id_plano = '$plano', 
     id_cliente_fornecedor = '$id_cliente_fornecedor', descricao = '$descricao', valor = '$valor',  vencimento = '$vencimento' WHERE id = '$id_conta_pagar_receber'");
 
  if($result){
 
	  // vamos registrar esse log
  $ip = getUserIpAddr();
  $id_usuario_logado = $_SESSION["id_usuario_logado"];
  $usuario_logado = $_SESSION["usuario_logado"];
  $texto_log = 'O usuario ' . $usuario_logado . ' atualizou uma Conta a ' . (($tipo == "1") ? 'Pagar: ' : 'Receber: ') . $descricao . '.';
  $result_2 = mysqli_query($conexao, "INSERT into logs values (null, '$id_usuario_logado', '$texto_log', 
    NOW(), '$usuario_logado', '$ip')");
  // fim registrar o log 
	  
	 header("Location: conta_pagar_receber.php?tipo=$tipo&conta_pagar_receber=$id_conta_pagar_receber&sucesso=ok");
     exit; 
  }
  else{
	$_SESSION["erro_banco_dados"] = "Houve um erro no cadastro de contas a pagar e a receber.<br><br>Erro: " . mysqli_error($conexao);
  header("Location: erro_banco_dados.php");
  exit;  
  }
?>
